> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardust.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# List Profile Identifiers

> Fetch a paginated list of profile identifier records by filters



## OpenAPI

````yaml get /v1/profile/identifier
openapi: 3.0.0
info:
  title: Stardust API
  description: ''
  version: v1
  contact: {}
servers:
  - url: https://vault-api.stardust.gg
    description: WaaS API
security: []
tags: []
paths:
  /v1/profile/identifier:
    get:
      tags:
        - Profile Identifier Endpoints
      summary: List Profile Identifiers
      description: Fetch a paginated list of profile identifier records by filters
      operationId: ProfileIdentifierController_list
      parameters:
        - name: start
          required: false
          in: query
          description: Position in list
          schema:
            minimum: 0
            maximum: 2147483647
            format: int32
            nullable: true
            type: integer
        - name: limit
          required: false
          in: query
          description: Maximum items returned in list
          schema:
            minimum: 10
            maximum: 100
            format: int32
            nullable: true
            type: integer
        - name: profileId
          required: false
          in: query
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedProfileResponse'
      security:
        - api-key: []
        - jwt-core: []
components:
  schemas:
    PaginatedProfileResponse:
      type: object
      properties:
        results:
          description: The results returned
          type: array
          items:
            $ref: '#/components/schemas/FlagResponse'
        total:
          type: number
          description: The total number of items in the filter
        start:
          type: number
          description: The requested start
          default: 0
        limit:
          type: number
          description: The requested limit
          default: 100
        filter:
          type: object
          description: The requested filter
      required:
        - results
        - total
        - start
        - limit
        - filter
    FlagResponse:
      type: object
      properties:
        rootUserId:
          type: string
          nullable: true
        key:
          type: string
        value:
          type: string
        id:
          type: string
      required:
        - key
        - value
        - id
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: x-api-key
    jwt-core:
      type: apiKey
      in: header
      name: Authorization

````